> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuralverge.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Craigslist Areas

> Directory of ~700 Craigslist regional sites with alias (the area value for searches), area code, hostname, country, region, coordinates, timezone and sub-areas. Flat 5 points per successful run.



## OpenAPI

````yaml /openapi.json post /functions/v1/run-craigslist-areas
openapi: 3.0.0
info:
  title: NeuralVerge API
  version: 1.0.0
  description: >-
    NeuralVerge API for AI research workflows, search, extraction, and
    structured data source execution.
servers:
  - url: https://api.neuralverge.ai
    description: NeuralVerge API
security:
  - BearerAuth: []
tags:
  - name: AI Research
    description: Research workflows and session tracking.
  - name: AI Extract
    description: Schema-driven extraction workflows.
  - name: AI Agents
    description: Reusable saved agents executed through the API.
  - name: Search
    description: Fast, synchronous web search with no session or polling.
  - name: Company intelligence
    description: Company profile lookups from company databases.
  - name: E-commerce & Marketplaces
    description: >-
      Product, seller, and review lookups on Amazon, eBay, Walmart, AliExpress,
      and Alibaba.
  - name: Enrichment
    description: Email and phone enrichment, validation, and discovery.
  - name: Product reviews
    description: >-
      Software and business reviews from Capterra, Gartner Peer Insights, and
      Trustpilot.
  - name: Social media
    description: LinkedIn profile, company, and people lookups.
paths:
  /functions/v1/run-craigslist-areas:
    post:
      tags:
        - E-commerce & Marketplaces
      summary: Craigslist Areas
      description: >-
        Directory of ~700 Craigslist regional sites with alias (the area value
        for searches), area code, hostname, country, region, coordinates,
        timezone and sub-areas. Flat 5 points per successful run.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                country:
                  description: Country (optional). e.g. US
                  type: string
            example: {}
      responses:
        '200':
          description: Run completed.
          content:
            application/json:
              schema:
                type: object
                properties:
                  session_id:
                    type: string
                    description: Session identifier for this run.
                  kind:
                    type: string
                    description: Data source identifier for this endpoint.
                  country: {}
                  human:
                    type: string
                    description: Markdown summary of the result, for display.
                  machine:
                    type: object
                    properties:
                      total_items:
                        type: integer
                      first_item:
                        type: object
                        properties:
                          id:
                            type: integer
                          alias:
                            type: string
                          code:
                            type: string
                          hostname:
                            type: string
                          description:
                            type: string
                          short_description:
                            type: string
                          country:
                            type: string
                          region:
                            type: string
                          lat:
                            type: number
                          lon:
                            type: number
                          timezone:
                            type: string
                          web_url:
                            type: string
                          subareas:
                            type: array
                            items:
                              type: object
                              properties:
                                id:
                                  type: integer
                                alias:
                                  type: string
                                description:
                                  type: string
                                short_description:
                                  type: string
                      items:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: integer
                            alias:
                              type: string
                            code:
                              type: string
                            hostname:
                              type: string
                            description:
                              type: string
                            short_description:
                              type: string
                            country:
                              type: string
                            region:
                              type: string
                            lat:
                              type: number
                            lon:
                              type: number
                            timezone:
                              type: string
                            web_url:
                              type: string
                            subareas:
                              type: array
                              items:
                                type: object
                                properties:
                                  id:
                                    type: integer
                                  alias:
                                    type: string
                                  description:
                                    type: string
                                  short_description:
                                    type: string
                      proxy_traffic_bytes:
                        type: integer
                    description: Structured result payload.
                  total_points:
                    type: integer
                    description: Points charged for this run.
              example:
                session_id: 11111111-1111-1111-1111-111111111111
                kind: craigslist_areas
                country: null
                human: |-
                  # Craigslist areas

                  - **Records returned:** 707
                  - **Proxy traffic:** 31.4 KB
                machine:
                  total_items: 707
                  first_item:
                    id: 1
                    alias: sfbay
                    code: sfo
                    hostname: sfbay.craigslist.org
                    description: SF bay area
                    short_description: SF bay area
                    country: US
                    region: CA
                    lat: 37.5
                    lon: -122.25
                    timezone: America/Los_Angeles
                    web_url: https://sfbay.craigslist.org
                    subareas:
                      - id: 1
                        alias: sfc
                        description: city of san francisco
                        short_description: san francisco
                      - id: 2
                        alias: sby
                        description: south bay area
                        short_description: south bay
                  items:
                    - id: 1
                      alias: sfbay
                      code: sfo
                      hostname: sfbay.craigslist.org
                      description: SF bay area
                      short_description: SF bay area
                      country: US
                      region: CA
                      lat: 37.5
                      lon: -122.25
                      timezone: America/Los_Angeles
                      web_url: https://sfbay.craigslist.org
                      subareas:
                        - id: 1
                          alias: sfc
                          description: city of san francisco
                          short_description: san francisco
                        - id: 2
                          alias: sby
                          description: south bay area
                          short_description: south bay
                    - id: 2
                      alias: seattle
                      code: sea
                      hostname: seattle.craigslist.org
                      description: seattle-tacoma
                      short_description: seattle
                      country: US
                      region: WA
                      lat: 47.6064
                      lon: -122.331001
                      timezone: America/Los_Angeles
                      web_url: https://seattle.craigslist.org
                      subareas:
                        - id: 1
                          alias: see
                          description: seattle
                          short_description: seattle
                        - id: 2
                          alias: est
                          description: eastside
                          short_description: eastside
                  proxy_traffic_bytes: 32189
                total_points: 5
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '402':
          description: Payment Required
        '500':
          description: Internal Error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````